import serial
import pyautogui

#Dont forget edit this part after port changed

arduino = serial.Serial("/dev/cu.SLAB_USBtoUART34",timeout=1)

def state_after_trigger(x,state):
    if x>1000:
        state=0
    elif x<-1000:
        state=1
    return state

def state_after_trigger_2(x,state):
    if x>2000:
        state=1
    elif x<-2000:
        state=0
    return state

stateRight=0
stateSpace=0
time.sleep(5)

while True:
    try:
        val=(str(arduino.readline())[2::][:-5]).split(":")
        val = [int(x) for x in val]
        print(val)
    except:
        val=[0,0,0]
        print('#Error@Right')
    #val[0]: axis x // val[1]: axis y // val[2]: axis z
    stateRight = state_after_trigger(val[1],stateRight)
    stateSpace = state_after_trigger_2(val[2],stateSpace)
    # print(stateRight)
    if stateRight:
        print('RightPressed')
        pyautogui.keyDown('/')
    else:
        pyautogui.keyUp('/')
        print("RightUnpressed")
    if stateSpace:
        print('RightSpacePressed')
        pyautogui.keyDown('space')
    else:
        pyautogui.keyUp('space')
        print("RightSpaceUnpressed")
